org.apache.solr.search.facet

## Class FacetRequest

- java.lang.Object
- - org.apache.solr.search.facet.FacetRequest

- Direct Known Subclasses:
    FacetField, FacetQuery, FacetRange

      public abstract class FacetRequest
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FacetRequest.Domain`
    `static class` | `FacetRequest.RefineMethod`
    `static class` | `FacetRequest.SortDirection`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FacetRequest.Domain` | `domain`
    `protected Map<String,AggValueSource>` | `facetStats`
    `protected List<String>` | `filters`
    `protected boolean` | `processEmpty`
    `protected Map<String,FacetRequest>` | `subFacets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FacetRequest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStat(String key, AggValueSource stat)`
    `void` | `addSubFacet(String key, FacetRequest facetRequest)`
    `abstract FacetMerger` | `createFacetMerger(Object prototype)`
    `abstract FacetProcessor` | `createFacetProcessor(org.apache.solr.search.facet.FacetContext fcontext)`
    `boolean` | `doRefine()`
    `abstract Map<String,Object>` | `getFacetDescription()`
    `Map<String,AggValueSource>` | `getFacetStats()`
    `FacetRequest.RefineMethod` | `getRefineMethod()` Returns null if unset
    `Map<String,FacetRequest>` | `getSubFacets()`
    `boolean` | `returnsPartial()` Returns true if this facet can return just some of the facet buckets that match all the criteria.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### facetStats

          protected Map<String,AggValueSource> facetStats

    - #### subFacets

          protected Map<String,FacetRequest> subFacets

    - #### filters

          protected List<String> filters

    - #### processEmpty

          protected boolean processEmpty

    - #### domain

          protected FacetRequest.Domain domain

  - ### Constructor Detail

    - #### FacetRequest

          public FacetRequest()

  - ### Method Detail

    - #### getFacetStats

          public Map<String,AggValueSource> getFacetStats()

    - #### getSubFacets

          public Map<String,FacetRequest> getSubFacets()

    - #### getRefineMethod

          public FacetRequest.RefineMethod getRefineMethod()

      Returns null if unset

    - #### doRefine

          public boolean doRefine()

    - #### returnsPartial

          public boolean returnsPartial()

      Returns true if this facet can return just some of the facet buckets that match all the criteria. This is normally true only for facets with a limit.

    - #### addStat

          public void addStat(String key,
                              AggValueSource stat)

    - #### addSubFacet

          public void addSubFacet(String key,
                                  FacetRequest facetRequest)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### createFacetProcessor

          public abstract FacetProcessor createFacetProcessor(org.apache.solr.search.facet.FacetContext fcontext)

    - #### createFacetMerger

          public abstract FacetMerger createFacetMerger(Object prototype)

    - #### getFacetDescription

          public abstract Map<String,Object> getFacetDescription()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.